about summary refs log tree commit diff homepage
path: root/.travis/install-llvm-and-runtime-compiler.sh
diff options
context:
space:
mode:
authorDan Liew <daniel.liew@imperial.ac.uk>2017-03-30 14:49:16 +0100
committerDan Liew <daniel.liew@imperial.ac.uk>2017-03-30 14:49:16 +0100
commit31d7fa412c673d2e2b0f9fe2abf32afa1b105d5e (patch)
tree769509fcc09120092d307c26ba92b07228ea3118 /.travis/install-llvm-and-runtime-compiler.sh
parent58c5132f82112d2ceef3b676e0bd04f04c940b69 (diff)
downloadklee-31d7fa412c673d2e2b0f9fe2abf32afa1b105d5e.tar.gz
[TravisCI] Make handling of `TRAVIS_OS_NAME` more robust by not assuming
that its value not being `linux` implies `osx`.
Diffstat (limited to '.travis/install-llvm-and-runtime-compiler.sh')
-rwxr-xr-x.travis/install-llvm-and-runtime-compiler.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/.travis/install-llvm-and-runtime-compiler.sh b/.travis/install-llvm-and-runtime-compiler.sh
index de6f9bbd..8e8e9863 100755
--- a/.travis/install-llvm-and-runtime-compiler.sh
+++ b/.travis/install-llvm-and-runtime-compiler.sh
@@ -29,7 +29,7 @@ if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then
     llvm-gcc/bin/llvm-gcc test.c -o hello_world
     ./hello_world
   fi
-else # OSX
+elif [[ "${TRAVIS_OS_NAME}" == "osx" ]]; then
   # NOTE: We should not easily generalize, since we need the corresponding support of bottled formulas
   if [ "${LLVM_VERSION}" == "3.4" ]; then
     brew install llvm34
@@ -37,4 +37,7 @@ else # OSX
     echo "Error: Requested to install LLVM ${LLVM_VERSION} on macOS, which is not supported"
     exit 1
   fi
+else
+  echo "Unhandled TRAVIS_OS_NAME \"${TRAVIS_OS_NAME}\""
+  exit 1
 fi